package com.persagy.adm.diagram.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.adm.diagram.entity.TemplateEntity;

import java.util.List;

public interface TemplateMapper extends BaseMapper<TemplateEntity> {

    List<TemplateEntity> getTemplates();

    List<TemplateEntity> getTemplatesByType(String diagramType);

    void saveTemplate(TemplateEntity templateEntity);

    void deleteByTemplateId(String templateId);

    TemplateEntity selectByTemplateId(String templateId);
}
